%define upstream_name 	 Math-RPN
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl extension for Reverse Polish Math Expression Evaluation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildArch:  noarch

%description
Reverse Polish Notation is briefly a stack-based way of writing
mathematical expressions. This has the advantage of eliminating
the need for parenthesis and simplifying parsing for computers vs.
normal algebraic notation at a slight cost in the ability of humans
to easily comprehend the expressions.

Math::RPN will take a scalar or list of sclars which contain an RPN
expression as a set of comma delimited values and operators, and
return the result or stack, depending on context. If the function
is called in an array context, it will return the entire remaining stack.

%prep
%setup -q -n  %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Math/RPN.pm
%{_mandir}/man?/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.110.0-12.mga8
+ Revision: 1505096
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.110.0-11.mga7
+ Revision: 1284760
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.110.0-10.mga7
+ Revision: 1165439
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.110.0-9.mga7
+ Revision: 1158569
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-8.mga6
+ Revision: 1029812
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.110.0-7.mga6
+ Revision: 949517
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.110.0-6.mga5
+ Revision: 790013
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.110.0-5.mga5
+ Revision: 750340
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.110.0-4.mga5
+ Revision: 685374
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.110.0-3.mga4
+ Revision: 512870
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 369650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.110.0-1.mga3
+ Revision: 286275
- update to 1.11

* Thu Jan 20 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 26549
- mageia rebuild
- imported package perl-Math-RPN


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.0
+ Revision: 403858
- rebuild using %%perl_convert_version

* Wed May 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.09-1mdv2010.0
+ Revision: 372509
- forgot to update the source tarball
- update to 1.09
- making the url parsable

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.08-7mdv2009.0
+ Revision: 241747
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-5mdv2008.0
+ Revision: 86635
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-4mdv2007.0
- Rebuild

* Thu May 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.08-3mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL
	- URL
- use mkrel

* Sat Jun 11 2005 Abel Cheung <deaddog@mandrivalinux.org> 1.08-2mdk
- Rebuild

* Sat Apr 24 2004 Abel Cheung <deaddog@deaddog.org> 1.08-1mdk
- First Mandrake Release

